Interventions
All operations require authentication.
List past interventionsProduction
List past interventions. Returns the IDs of the technical interventions made on the server. Get an intervention to read its start date and type.
Path parameters
The internal name of your dedicated server
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ intervention \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a past interventionProduction
Get a past intervention. Returns the start date and the type of a technical intervention made on the server.
Path parameters
The intervention id
The internal name of your dedicated server
Response
the intervention start date
The intervention id
the intervention type
Example uses interventionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ intervention/ {interventionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "interventionId": 0, "type": "string"}
List planned interventionsBeta
List planned interventions. Returns the IDs of the interventions planned on the server. Get a planned intervention to read its type, status and dates.
Path parameters
The internal name of your dedicated server
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ plannedIntervention \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a planned interventionBeta
Get a planned intervention. Returns the type, status, wanted start date and expected end date of an intervention planned on the server. The status is todo, doing or done.
Path parameters
ID of the intervention
The internal name of your dedicated server
Response
Expected end date for this intervention
ID of the intervention
Status of the intervention
doingdonetodoOperation purpose
HARDWARE_UPGRADE_ON_ACTIVE_SERVERWanted start date for this intervention
Example uses interventionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ plannedIntervention/ {interventionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "expectedEndDate": "2024-01-01T12:00:00Z", "id": 0, "status": "doing", "type": "HARDWARE_UPGRADE_ON_ACTIVE_SERVER", "wantedStartDate": "2024-01-01T12:00:00Z"}